# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Jul  7 06:32:22 2022
# ------------------------------------------------

package:
  name: openpyxl
  version: 3.0.10
source:
  sha256: e47805627aebcf860edb4edf7987b1309c1b3632f3750538ed962bbcc3bd7449
  url: https://pypi.io/packages/source/o/openpyxl/openpyxl-3.0.10.tar.gz
build:
  number: '0'
  script: /opt/conda/conda-bld/openpyxl_1657175551765/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --global-option="--with-cython" -vv
  string: py310h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2022.4.26 hd43f75c_0
    - certifi 2022.6.15 py310hd43f75c_0
    - cython 0.29.30 py310h998d150_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.0.3 h2f4d8fa_2
    - ncurses 6.3 h998d150_3
    - openssl 1.1.1p h998d150_0
    - pip 21.2.4 py310hd43f75c_0
    - python 3.10.4 hc137634_0
    - readline 8.1.2 h2f4d8fa_1
    - setuptools 61.2.0 py310hd43f75c_0
    - sqlite 3.38.5 h6632b73_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h2f4d8fa_1
    - zlib 1.2.12 h2f4d8fa_2
  run:
    - et_xmlfile
    - libgcc-ng >=11.2.0
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
  imports:
    - openpyxl
    - openpyxl.cell
    - openpyxl.chart
    - openpyxl.chartsheet
    - openpyxl.comments
    - openpyxl.compat
    - openpyxl.descriptors
    - openpyxl.drawing
    - openpyxl.formatting
    - openpyxl.formula
    - openpyxl.packaging
    - openpyxl.pivot
    - openpyxl.reader
    - openpyxl.styles
    - openpyxl.utils
    - openpyxl.workbook
    - openpyxl.workbook.external_link
    - openpyxl.worksheet
    - openpyxl.writer
    - openpyxl.xml
  requires:
    - pip
about:
  description: 'openpyxl is a Python library to read/write Excel 2010

    xlsx/xlsm/xltx/xltm files.

    '
  dev_url: https://foss.heptapod.net/openpyxl/openpyxl
  doc_url: https://openpyxl.readthedocs.io/
  home: https://openpyxl.readthedocs.io
  license: MIT
  license_family: MIT
  license_file: LICENCE.rst
  summary: A Python library to read/write Excel 2010 xlsx/xlsm files
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 82f46608-a1ea-4a32-b196-d68a2d4429f4
  recipe-maintainers:
    - curtisalexander
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/openpyxl-feedstock.git
  sha: a0cbf67b5096ea54f02806577e4ef9c65bdf25bc
